all: installed.CXX

FILENAME = OpenRTM-aist-1.0.0-RELEASE.tar.bz2
TARBALL = build/$(FILENAME)
TARBALL_URL = http://www.openrtm.org/pub/OpenRTM-aist/cxx/1.0.0/$(FILENAME)
SOURCE_DIR = build/OpenRTM-aist-1.0.0
UNPACK_CMD = tar xjf
MD5SUM_FILE = $(FILENAME).md5sum
TARBALL_PATCH = OpenRTM-aist-1.0.0-RELEASE-j2_3.patch OpenRTM-aist-1.0.0-RELEASE-j2_2.patch OpenRTM-aist-1.0.0-RELEASE-j2.patch
include $(shell rospack find mk)/download_unpack_build.mk


installed.CXX: $(SOURCE_DIR)/unpacked
#	cd $(SOURCE_DIR) && ./build/autogen && ./configure --prefix=$(CURDIR)/OpenRTM-aist
	cd $(SOURCE_DIR) && ./configure --prefix=$(CURDIR)/OpenRTM-aist
	cd $(SOURCE_DIR) && make $(ROS_PARALELL_JOBS)
	cd $(SOURCE_DIR) && make install
	touch installed.CXX

clean.CXX:
	rm -rf $(CURDIR)/OpenRTM-aist $(SOURCE_DIR) installed.CXX

wipe.CXX: clean.CXX
	rm -rf build patched

.PHONY : clean.CXX download
